FullWrtStruct::Border Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
FullWrtStruct::Border Struct Reference

Internal: class to store a border which appear in docInfo. More...

`#include <FullWrtStruct.hxx>`

## Public Member Functions
| Border ()
| constructor More...
void | addTo (MWAWGraphicStyle &style) const
| add to frame properties More...
bool | hasShadow () const
| return true if we have a shadow More...
bool | read (std::shared_ptr< FullWrtStruct::Entry > zone, int fSz)
| try to read a border definiton More...
std::vector< MWAWVariable< MWAWBorder > > | getParagraphBorders () const
| returns the list of border order MWAWBorder::Pos More...

## Static Public Member Functions
static MWAWBorder | getBorder (int type)
| return a border corresponding to a type More...

## Public Attributes
int | m_type [3]
| the type (border, horizontal and vertical separators) More...
MWAWBorder | m_frameBorder
| the frame border More...
MWAWColor | m_frontColor
| the front color (used for layout ) More...
MWAWColor | m_backColor
| the back color (used for layout ) More...
MWAWColor | m_shadowColor
| the shadow color More...
MWAWVec2i | m_shadowDepl
| the shadow depl ( if shadow) More...
MWAWColor | m_color [2]
| the colors line + ? More...
int | m_flags
| the flags More...
std::string | m_extra
| some extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Border const &p)
| operator<< More...

## Detailed Description

Internal: class to store a border which appear in docInfo.

## Constructor & Destructor Documentation

## ◆ Border()

FullWrtStruct::Border::Border | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addTo()

void FullWrtStruct::Border::addTo | ( | MWAWGraphicStyle & | style | ) | const

add to frame properties

Referenced by Border(), and FullWrtGraph::sendSideBar().

## ◆ getBorder()

MWAWBorder FullWrtStruct::Border::getBorder | ( | int | type | ) |
| static

return a border corresponding to a type

Referenced by Border(), getParagraphBorders(), and FullWrtText::sendTable().

## ◆ getParagraphBorders()

std::vector< MWAWVariable< MWAWBorder > > FullWrtStruct::Border::getParagraphBorders | ( |  | ) | const

returns the list of border order MWAWBorder::Pos

Referenced by hasShadow().

## ◆ hasShadow()

bool FullWrtStruct::Border::hasShadow | ( |  | ) | const
| inline

return true if we have a shadow

Referenced by addTo(), and FullWrtStruct::operator<<().

## ◆ read()

bool FullWrtStruct::Border::read | ( | std::shared_ptr< FullWrtStruct::Entry > | zone,
|  | int | fSz
| ) |  |

try to read a border definiton

Referenced by hasShadow(), FullWrtGraph::readBorderDocInfo(), and FullWrtStruct::ZoneHeader::ZoneHeader().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Border const & | p
| ) |  |
| friend

operator<<

Referenced by hasShadow(), and FullWrtStruct::ZoneHeader::ZoneHeader().

## Member Data Documentation

## ◆ m_backColor

MWAWColor FullWrtStruct::Border::m_backColor

the back color (used for layout )

Referenced by addTo(), FullWrtStruct::operator<<(), and read().

## ◆ m_color

MWAWColor FullWrtStruct::Border::m_color[2]

the colors line + ?

Referenced by addTo(), getParagraphBorders(), FullWrtStruct::operator<<(), read(), and FullWrtText::sendTable().

## ◆ m_extra

std::string FullWrtStruct::Border::m_extra

some extra data

Referenced by FullWrtStruct::operator<<(), and read().

## ◆ m_flags

int FullWrtStruct::Border::m_flags

the flags

Referenced by FullWrtStruct::operator<<(), and read().

## ◆ m_frameBorder

MWAWBorder FullWrtStruct::Border::m_frameBorder

the frame border

Referenced by addTo(), Border(), FullWrtStruct::operator<<(), and read().

## ◆ m_frontColor

MWAWColor FullWrtStruct::Border::m_frontColor

the front color (used for layout )

Referenced by FullWrtStruct::operator<<(), read(), and FullWrtGraph::sendSideBar().

## ◆ m_shadowColor

MWAWColor FullWrtStruct::Border::m_shadowColor

the shadow color

Referenced by addTo(), FullWrtStruct::operator<<(), and read().

## ◆ m_shadowDepl

MWAWVec2i FullWrtStruct::Border::m_shadowDepl

the shadow depl ( if shadow)

Referenced by addTo(), hasShadow(), FullWrtStruct::operator<<(), and read().

## ◆ m_type

int FullWrtStruct::Border::m_type[3]

the type (border, horizontal and vertical separators)

Referenced by Border(), getParagraphBorders(), FullWrtStruct::operator<<(), read(), and FullWrtText::sendTable().

The documentation for this struct was generated from the following files:

- FullWrtStruct.hxx
- FullWrtStruct.cxx